#!/bin/bash
#
# Script for configuring the underlying application.
#
# Copyright (c) 2011-2014, ZIH, TU Dresden, Federal Republic of Germany.
# For details, see the files COPYING and LICENSE in the base directory
# of the package.

export SCADOPTRUN_NAME_EXECUTABLE="$(basename $PWD)1D";
export SCADOPTRUN_SPACE_DIM=1
export SCADOPTRUN_N_NODES="8"
export SCADOPTRUN_PARTITION_GRID="1"
export SCADOPTRUN_COORD_NODE_FIRST="0"
export SCADOPTRUN_COORD_NODE_LAST="1"
export SCADOPTRUN_N_TIMESTEPS=2
export SCADOPTRUN_N_SNAPSHOTS=1
export SCADOPTRUN_START_TIME=0
export SCADOPTRUN_END_TIME=1
export SCADOPTRUN_OUTPUT_LEVEL=10
export SCADOPTRUN_NLAYERS_AT_BORDER=1
export SCADOPTRUN_NAME_KINDFILE=""
export SCADOPTRUN_WRITE_KINDFILE="NO";
export SCADOPTRUN_NAME_CONFIGFILE=""
export SCADOPTRUN_ENABLE_ADOLC="YES"
export SCADOPTRUN_ASYNCHRON_MODE="NO"
export SCADOPTRUN_COMP_GRADIENTS="YES"
export SCADOPTRUN_TF_TIME_DEPENDENT="NO"
export SCADOPTRUN_RESULTS_DIR="./";
export SCADOPTRUN_CHECK_RESULTS="NO";
#------------------------------------------------------------------------------#
export SCADOPTRUN_RUN_MODE="DEBUG"
export SCADOPTRUN_N_TESTS_MPI=2
export SCADOPTRUN_N_TESTS_OPENMP=1
export SCADOPTRUN_N_PROCESSES_MPI_START=1
export SCADOPTRUN_N_THREADS_OPENMP_START=1
export SCADOPTRUN_TYPE_SCALINGTEST="STRONG"
export SCADOPTRUN_MACHINE_NAME="ZIH_ATLAS_N071";
export SCADOPTRUN_MACHINE_N_NODES=1;
export SCADOPTRUN_MACHINE_N_CORES_PER_NODE=64;

./../../../scripts/scadoptrun.sh
